%global pypi_name djangorestframework

Name:           django-rest-framework
Version:        3.1.1
Release:        1%{?dist}
Summary:        A lightweight REST framework for Django

License:        BSD
URL:            http://pypi.python.org/pypi/djangorestframework/3.1.1
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
Django REST framework is a lightweight library that makes it easy to build Web
APIs. It is designed as a modular and easy to customize architecture, based on
Django's class based views.

Web APIs built using REST framework are fully self-describing and web
browseable - a huge useability win for your developers. It also supports a wide
range of media types, authentication and permission policies out of the box.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
#%doc README.md
%{python_sitelib}/rest_framework
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Apr 28 2015 Eric Huang <jiahuang@redhat.com> - 3.1.1-1
- new upstream version 3.1.1

* Mon Sep 01 2014 Pavel Slama <pslama@redhat.com> - 2.4.1-1
- new upstream version 2.4.1

* Tue May 28 2013 Pavel Slama <pslama@redhat.com> - 2.3.8-1
- new upstream version 2.3.8

* Tue May 28 2013 Pavel Slama <pslama@redhat.com> - 2.3.4-1
- current build of sources from pypi

* Thu Nov 29 2012 Aurelien Bompard - 2.1.6-1
- Initial package.
